net.sf.jasperreports.engine

## Class SimpleJasperReportsContext

- java.lang.Object
- - net.sf.jasperreports.engine.SimpleJasperReportsContext

- All Implemented Interfaces:
    JasperReportsContext
  Direct Known Subclasses:
    LocalJasperReportsContext

      public class SimpleJasperReportsContext
      extends java.lang.Object
      implements JasperReportsContext

  Version:
    $Id: SimpleJasperReportsContext.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleJasperReportsContext()` Constructs a SimpleJasperReportsContext instance that has the DefaultJasperReportsContext.getInstance() as parent.
    `SimpleJasperReportsContext(JasperReportsContext parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> java.util.List<T>` | `getExtensions(java.lang.Class<T> extensionType)` Returns a list of extension objects for a specific extension type.
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getPropertiesMap()`
    `java.lang.String` | `getProperty(java.lang.String key)` Returns the value of the property.
    `java.lang.Object` | `getValue(java.lang.String key)`
    `void` | `removeProperty(java.lang.String key)`
    `void` | `removeValue(java.lang.String key)`
    `<T> void` | `setExtensions(java.lang.Class<T> extensionType, java.util.List<? extends T> extensions)`
    `void` | `setExtensions(java.util.Map<java.lang.Class<?>,java.util.List<?>> extensions)`
    `void` | `setParent(JasperReportsContext parent)`
    `void` | `setPropertiesMap(java.util.Map<java.lang.String,java.lang.String> propertiesMap)`
    `void` | `setProperty(java.lang.String key, java.lang.String value)`
    `void` | `setValue(java.lang.String key, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleJasperReportsContext

          public SimpleJasperReportsContext()

      Constructs a SimpleJasperReportsContext instance that has the DefaultJasperReportsContext.getInstance() as parent.

    - #### SimpleJasperReportsContext

          public SimpleJasperReportsContext(JasperReportsContext parent)

  - ### Method Detail

    - #### setParent

          public void setParent(JasperReportsContext parent)

    - #### getValue

          public java.lang.Object getValue(java.lang.String key)

      Specified by:
        `getValue` in interface `JasperReportsContext`

    - #### setValue

          public void setValue(java.lang.String key,
                      java.lang.Object value)

      Specified by:
        `setValue` in interface `JasperReportsContext`

    - #### removeValue

          public void removeValue(java.lang.String key)

    - #### getExtensions

          public <T> java.util.List<T> getExtensions(java.lang.Class<T> extensionType)

      Returns a list of extension objects for a specific extension type.
      Specified by:
        `getExtensions` in interface `JasperReportsContext`
      Type Parameters:
        `T` - generic extension type
      Parameters:
        `extensionType` - the extension type
      Returns:
        a list of extension objects

    - #### setExtensions

          public <T> void setExtensions(java.lang.Class<T> extensionType,
                               java.util.List<? extends T> extensions)

    - #### setExtensions

          public void setExtensions(java.util.Map<java.lang.Class<?>,java.util.List<?>> extensions)

    - #### getProperty

          public java.lang.String getProperty(java.lang.String key)

      Returns the value of the property.
      Specified by:
        `getProperty` in interface `JasperReportsContext`
      Parameters:
        `key` - the key
      Returns:
        the property value

    - #### setProperty

          public void setProperty(java.lang.String key,
                         java.lang.String value)

      Specified by:
        `setProperty` in interface `JasperReportsContext`

    - #### removeProperty

          public void removeProperty(java.lang.String key)

      Specified by:
        `removeProperty` in interface `JasperReportsContext`

    - #### getProperties

          public java.util.Map<java.lang.String,java.lang.String> getProperties()

      Specified by:
        `getProperties` in interface `JasperReportsContext`

    - #### getPropertiesMap

          public java.util.Map<java.lang.String,java.lang.String> getPropertiesMap()

    - #### setPropertiesMap

          public void setPropertiesMap(java.util.Map<java.lang.String,java.lang.String> propertiesMap)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com